.row.second-bar
  = render template: 'shared/breadcrumbs',
  locals: { final_title: t(:listing_registrations) }

  - if @meeting.present?
    = render 'shared/additional_menu' do
      = link_to t(:all_registrations), committee_registrations_path(@committee),
      class: 'btn btn-primary'

= render 'shared/alerts'

- if @meeting.present?
  = render 'shared/meeting_bar', meeting: @meeting

.table-responsive
  %table.table
    %thead
      %tr
        %th= t(:title)
        %th= t(:case)
        %th= t(:priority_number)
        %th

    %tbody
      - @registrations.each do |registration|
        - if @meeting.nil? && registration.meeting != @meeting_cached
          - @meeting_cached = registration.meeting
          %tr
            %th{ colspan: 4 }
              = registration.meeting.name
              = link_to committee_meeting_registrations_path(@committee,
              registration.meeting), class: 'btn btn-sm btn-primary' do
                = t(:open)
        %tr
          %td= link_to registration.title, [@committee, registration.meeting,
          registration]
          %td
            - if registration.case.blank?
              = registration.title
            - else
              = link_to registration.case.title, registration.case
          %td= registration.priority_number
          %td
            .btn-group
              = link_to t(:edit),
              edit_committee_meeting_registration_path(@committee,
              registration.meeting, registration), class: 'btn btn-secondary'
              = link_to t(:destroy),
              [@committee, registration.meeting, registration],
              method: :delete, data: { confirm: t(:confirm_delete) },
              class: 'btn btn-warning'
